Package commoble.bagofyurting

# Class ShapedBagUpgradeRecipe.Serializer

java.lang.Object
net.minecraftforge.registries.ForgeRegistryEntry<net.minecraft.world.item.crafting.RecipeSerializer<?>>
net.minecraft.world.item.crafting.ShapedRecipe.Serializer
commoble.bagofyurting.ShapedBagUpgradeRecipe.Serializer

All Implemented Interfaces:
  `net.minecraft.world.item.crafting.RecipeSerializer<net.minecraft.world.item.crafting.ShapedRecipe>`, `net.minecraftforge.registries.IForgeRegistryEntry<net.minecraft.world.item.crafting.RecipeSerializer<?>>`

Enclosing class:
  ShapedBagUpgradeRecipe

public static class ShapedBagUpgradeRecipe.Serializer extends net.minecraft.world.item.crafting.ShapedRecipe.Serializer

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraftforge.registries.ForgeRegistryEntry

`net.minecraftforge.registries.ForgeRegistryEntry.UncheckedRegistryEntry<V extends net.minecraftforge.registries.IForgeRegistryEntry<V>>`

## Field Summary

### Fields inherited from class net.minecraftforge.registries.ForgeRegistryEntry

`delegate`

### Fields inherited from interface net.minecraft.world.item.crafting.RecipeSerializer

`ARMOR_DYE, BANNER_DUPLICATE, BLASTING_RECIPE, BOOK_CLONING, CAMPFIRE_COOKING_RECIPE, FIREWORK_ROCKET, FIREWORK_STAR, FIREWORK_STAR_FADE, MAP_CLONING, MAP_EXTENDING, REPAIR_ITEM, SHAPED_RECIPE, SHAPELESS_RECIPE, SHIELD_DECORATION, SHULKER_BOX_COLORING, SMELTING_RECIPE, SMITHING, SMOKING_RECIPE, STONECUTTER, SUSPICIOUS_STEW, TIPPED_ARROW`

## Constructor Summary

Constructors
Constructor
Description
`Serializer()`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.item.crafting.ShapedRecipe`
`fromJson​(net.minecraft.resources.ResourceLocation recipeId, com.google.gson.JsonObject json)`
`net.minecraft.world.item.crafting.ShapedRecipe`
`fromNetwork​(net.minecraft.resources.ResourceLocation recipeId, net.minecraft.network.FriendlyByteBuf buffer)`

### Methods inherited from class net.minecraft.world.item.crafting.ShapedRecipe.Serializer

`toNetwork`

### Methods inherited from class net.minecraftforge.registries.ForgeRegistryEntry

`getRegistryName, getRegistryType, setRegistryName, setRegistryName, setRegistryName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraftforge.registries.IForgeRegistryEntry

`getRegistryName, getRegistryType, setRegistryName`

## Constructor Details

### Serializer

public Serializer()

## Method Details

### fromJson

public net.minecraft.world.item.crafting.ShapedRecipe fromJson​(net.minecraft.resources.ResourceLocation recipeId, com.google.gson.JsonObject json)

Specified by:
  `fromJson` in interface `net.minecraft.world.item.crafting.RecipeSerializer<net.minecraft.world.item.crafting.ShapedRecipe>`
Overrides:
  `fromJson` in class `net.minecraft.world.item.crafting.ShapedRecipe.Serializer`

### fromNetwork

public net.minecraft.world.item.crafting.ShapedRecipe fromNetwork​(net.minecraft.resources.ResourceLocation recipeId, net.minecraft.network.FriendlyByteBuf buffer)

Specified by:
  `fromNetwork` in interface `net.minecraft.world.item.crafting.RecipeSerializer<net.minecraft.world.item.crafting.ShapedRecipe>`
Overrides:
  `fromNetwork` in class `net.minecraft.world.item.crafting.ShapedRecipe.Serializer`